      subroutine ftproj(iiirc,h,r,llst,nmx,nbase,p,q,pj,dum,iscr)
!  program to calculate Fourier transform of paw wavefunctions
!   and output them to files pj.l
      implicit real*8 (a-h,o-z)
      dimension r(nmx),p(nmx,nbase),q(nmx),pj(nmx),dum(nmx)
      dimension llst(nbase)
      character*4 flnm
      character*1 :: answer
!
      write(6,*) 'calculating Fourier transforms of projector functions'
       qmax=15.d0
       nq=200
! uncomment if wish to use options
!       write(6,*) 'default values of qmax, nq are ',qmax,nq
!       write(6,*) 'enter "y" if you would like to change these values'
!       read(5,*) answer
!       if(answer.eq.'y') then
!       write(6,*) 'input qmax,nq<',nmx
!     read(5,*) qmax,nq
!     if (nq.gt.nmx) then
!       write(6,*) 'error in input'
!       stop
!       endif
!        endif

      dq=qmax/nq
      do ib=1,nbase
       l=llst(ib)
       do iq=1,nq
       q(iq)=iq*dq
        do i=1,iiirc
        dum(i)=q(iq)*r(i)
        enddo
        call sphbes(l,iiirc,dum)
        do i=1,iiirc
        dum(i)=dum(i)*r(i)*p(i,ib)
        enddo
       pj(iq)=overint(iiirc,h,dum)
       enddo
       iscr=iscr+1
       call mkname(ib,flnm)
       open(iscr,file='pj.'//flnm,form='formatted')
       do iq=1,nq
       write(iscr,680) q(iq),pj(iq)
  680  format(1p5e12.4)
       enddo
       close(iscr)
       iscr=iscr-1
      enddo
      return
       end
